%global srcname faulthandler

Name:           python-%{srcname}
Version:        3.0
Release:        %mkrel 1
Summary:        Display the Python traceback on a crash
Group:          Python/Development
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.xz
Patch0:         python-thread-name-in-tests.patch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
Fault handler for SIGSEGV, SIGFPE, SIGABRT, SIGBUS and SIGILL signals:
display the Python traceback and restore the previous handler.
Allocate an alternate stack for this handler, if sigaltstack() is available,
to be able to allocate memory on the stack, even on stack overflow.

%prep
%setup -qn %{srcname}-%{version}
%apply_patches

%build
%py2_build

%install
rm -rf %buildroot
%py2_install

%files
%{python2_sitearch}/%{srcname}.so
%{python2_sitearch}/%{srcname}.pth
%{python2_sitearch}/%{srcname}-%{version}-py%{python2_version}.egg-info/

%changelog
* Fri Nov 03 2017 bb2 <bb2> 3.0-1pclos2017
- import into pclos
